curl --request GET \
--url https://api.qovery.com/container/{containerId}/status \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"service_deployment_status": "NEVER_DEPLOYED",
"is_part_last_deployment": true,
"status_details": {
"action": "DEPLOY",
"status": "QUEUED",
"sub_action": "NONE"
},
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_requests_count": 123,
"last_deployment_date": "2023-11-07T05:31:56Z",
"steps": {
"total_duration_sec": 123,
"total_computing_duration_sec": 123,
"details": [
{
"step_name": "REGISTRY_CREATE_REPOSITORY",
"status": "SUCCESS",
"duration_sec": 123
}
]
},
"execution_id": "<string>"
}curl --request GET \
--url https://api.qovery.com/container/{containerId}/status \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"service_deployment_status": "NEVER_DEPLOYED",
"is_part_last_deployment": true,
"status_details": {
"action": "DEPLOY",
"status": "QUEUED",
"sub_action": "NONE"
},
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_requests_count": 123,
"last_deployment_date": "2023-11-07T05:31:56Z",
"steps": {
"total_duration_sec": 123,
"total_computing_duration_sec": 123,
"details": [
{
"step_name": "REGISTRY_CREATE_REPOSITORY",
"status": "SUCCESS",
"duration_sec": 123
}
]
},
"execution_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Container ID
Get status
BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, EXECUTING, QUEUED, READY, RECAP, RESTARTED, RESTARTING, RESTART_ERROR, RESTART_QUEUED, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, UNAVAILABLE, WAITING_DELETING, WAITING_RESTARTING, WAITING_RUNNING, WAITING_STOPPING NEVER_DEPLOYED, OUT_OF_DATE, UP_TO_DATE Show child attributes
Show child attributes
Was this page helpful?